commit:     ce13bbb27cbc701a661c12bf28c9f836961f80b1
Author:     Andrey Grozin <grozin <AT> gentoo <DOT> org>
AuthorDate: Tue Nov  1 10:42:59 2022 +0000
Commit:     Andrey Grozin <grozin <AT> gentoo <DOT> org>
CommitDate: Tue Nov  1 10:42:59 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ce13bbb2

dev-python/rpyc: added python3_11

Signed-off-by: Andrey Grozin <grozin <AT> gentoo.org>

 dev-python/rpyc/rpyc-5.2.3-r1.ebuild | 65 ++++++++++++++++++++++++++++++++++++
 1 file changed, 65 insertions(+)

diff --git a/dev-python/rpyc/rpyc-5.2.3-r1.ebuild 
b/dev-python/rpyc/rpyc-5.2.3-r1.ebuild
new file mode 100644
index 000000000000..94f50daaf6dd
--- /dev/null
+++ b/dev-python/rpyc/rpyc-5.2.3-r1.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Remote Python Call (RPyC), a transparent and symmetric RPC 
library"
+HOMEPAGE="https://rpyc.readthedocs.io/en/latest/
+       https://pypi.org/project/rpyc/
+       https://github.com/tomerfiliba-org/rpyc";
+SRC_URI="https://github.com/tomerfiliba-org/${PN}/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+# USE flags gdb, numpy are used *only* to run tests depending on these packages
+IUSE="test numpy gdb"
+RESTRICT="!test? ( test )"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+       numpy? ( dev-python/numpy[${PYTHON_USEDEP}] 
dev-python/pandas[${PYTHON_USEDEP}] )
+       gdb? ( sys-devel/gdb )"
+
+RDEPEND="dev-python/plumbum[${PYTHON_USEDEP}]
+       dev-python/gevent[${PYTHON_USEDEP}]"
+
+src_prepare() {
+       default
+
+       # Windows specific test
+       rm tests/test_win32pipes.py || die "rm tests/test_win32pipes.py failed"
+
+       # These tests require running sshd
+       rm tests/test_ssh.py tests/test_deploy.py || die "rm test_ssh.py 
test_deploy.py failed"
+
+       # This test requires internet access
+       rm tests/test_registry.py || die "rm test_registry.py failed"
+
+       # This test fails with NO_CIPHERS_AVAILABLE
+       rm tests/test_ssl.py || die "rm test_ssl.py failed"
+
+       # Temporarily removed
+       # https://github.com/tomerfiliba-org/rpyc/issues/513
+       rm tests/test_teleportation.py
+
+       if ! use numpy
+       then rm tests/test_service_pickle.py || die "rm test_service_pickle.py 
failed"
+       fi
+
+       if ! use gdb
+       then rm tests/test_gdb.py || die "rm test_gdb.py failed"
+       fi
+}
+
+python_test() {
+       # for some reason, when tests are run via pytest or nose, some of them 
hung
+       pushd tests > /dev/null || die "pushd tests failed"
+       for x in test_*.py
+       do 
PYTHONPATH="${WORKDIR}"/${P}-${EPYTHON/./_}/install/usr/lib/${EPYTHON}/site-packages
 ${EPYTHON} ${x} || die "${x} failed"
+       done
+       popd > /dev/null
+}

Reply via email to